package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 模式与标签关联对象 wx_mode_tag
 *
 * @author flossom
 * @date 2024-01-18
 */
public class WxModeTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 模式主键 */
    @Excel(name = "模式主键")
    private Long modeId;

    /** 标签主键 */
    @Excel(name = "标签主键")
    private Long tagId;

    /** 标签类型（1小程序标签 2外部标签） */
    @Excel(name = "标签类型", readConverterExp = "1=小程序标签,2=外部标签")
    private Long tagType;

    /** 状态（0正常 1禁用） */
    @Excel(name = "状态", readConverterExp = "0=正常,1=禁用")
    private Long status;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setModeId(Long modeId)
    {
        this.modeId = modeId;
    }

    public Long getModeId()
    {
        return modeId;
    }
    public void setTagId(Long tagId)
    {
        this.tagId = tagId;
    }

    public Long getTagId()
    {
        return tagId;
    }
    public void setTagType(Long tagType)
    {
        this.tagType = tagType;
    }

    public Long getTagType()
    {
        return tagType;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modeId", getModeId())
            .append("tagId", getTagId())
            .append("tagType", getTagType())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
